import grpc
import add_service_pb2
import add_service_pb2_grpc
import argparse

def run(a, b):
    # channel to connect to the server
    with grpc.insecure_channel('localhost:8000') as channel:
        stub = add_service_pb2_grpc.AddServiceStub(channel)

        # request object
        request = add_service_pb2.AddRequest(a=a, b=b)

        # call the method
        response = stub.Add(request)
        print(f"The sum of {a} and {b} is: {response.result}")

if __name__ == '__main__':
    parser = argparse.ArgumentParser(description='')
    parser.add_argument('a', type=int, help='first number')
    parser.add_argument('b', type=int, help='second number')
    
    args = parser.parse_args()
    run(args.a, args.b)